﻿-----------------------------------------------------------------------------

local L = AceLibrary("AceLocale-2.2"):new("AssessmentRange")

L:RegisterTranslations("enUS", function() return {
	["Log Range"] = true,
	["Adjusts the range of log messages, affecting what data Assessment is able to capture."] = true,

	["Creatures"] = true,
	["Adjust log range for creature messages"] = true,
	["Death"] = true,
	["Adjust log range for death messages"] = true,
	["Friendly Players"] = true,
	["Adjust log range for friendly player messages"] = true,
	["Friendly Player Pets"] = true,
	["Adjust log range for friendly player pet messages"] = true,
	["Hostile Players"] = true,
	["Adjust log range for hostile player messages"] = true,
	["Hostile Player Pets"] = true,
	["Adjust log range for hostile player pet messages"] = true,
	["Party"] = true,
	["Adjust log range for party messages"] = true,
	["Party Pets"] = true,
	["Adjust log range for party pet messages"] = true,

	["Set All"] = true,
	["Set all combat log ranges"] = true,
	["Reset"] = true,
	["Reset all combat log ranges to their defaults"] = true,
} end)

L:RegisterTranslations("zhCN", function() return {
	["Log Range"] = "记录范围",
	["Adjusts the range of log messages, affecting what data Assessment is able to capture."] = "调整记录信息的范围，关系到Assessment收集的数据",

	["Creatures"] = "怪物",
	["Adjust log range for creature messages"] = "调整怪物信息的范围",
	["Death"] = "死亡",
	["Adjust log range for death messages"] = "调整死亡信息的范围",
	["Friendly Players"] = "友好玩家",
	["Adjust log range for friendly player messages"] = "调整友好玩家信息的范围",
	["Friendly Player Pets"] = "友好玩家的宠物",
	["Adjust log range for friendly player pet messages"] = "调整友好玩家的宠物信息的范围",
	["Hostile Players"] = "敌对玩家",
	["Adjust log range for hostile player messages"] = "调整敌对玩家信息的范围",
	["Hostile Player Pets"] = "敌对玩家的宠物",
	["Adjust log range for hostile player pet messages"] = "调整敌对玩家的宠物信息的范围",
	["Party"] = "队友",
	["Adjust log range for party messages"] = "调整队友信息的范围",
	["Party Pets"] = "队友的宠物",
	["Adjust log range for party pet messages"] = "调整队友的宠物信息的范围",

	["Set All"] = "全部",
	["Set all combat log ranges"] = "收集所有信息",
	["Reset"] = "重置",
	["Reset all combat log ranges to their defaults"] = "将记录范围重置回默认值",
} end)

L:RegisterTranslations("zhTW", function() return {
	["Log Range"] = "記錄範圍",
	["Adjusts the range of log messages, affecting what data Assessment is able to capture."] = "調整記錄信息的範圍，關係到Assessment收集的數據",

	["Creatures"] = "怪物",
	["Adjust log range for creature messages"] = "調整怪物信息的範圍",
	["Death"] = "死亡",
	["Adjust log range for death messages"] = "調整死亡信息的範圍",
	["Friendly Players"] = "友好玩家",
	["Adjust log range for friendly player messages"] = "調整友好玩家信息的範圍",
	["Friendly Player Pets"] = "友好玩家的寵物",
	["Adjust log range for friendly player pet messages"] = "調整友好玩家的寵物信息的範圍",
	["Hostile Players"] = "敵對玩家",
	["Adjust log range for hostile player messages"] = "調整敵對玩家信息的範圍",
	["Hostile Player Pets"] = "敵對玩家的寵物",
	["Adjust log range for hostile player pet messages"] = "調整敵對玩家的寵物信息的範圍",
	["Party"] = "隊友",
	["Adjust log range for party messages"] = "調整隊友信息的範圍",
	["Party Pets"] = "隊友的寵物",
	["Adjust log range for party pet messages"] = "調整隊友的寵物信息的範圍",

	["Set All"] = "全部",
	["Set all combat log ranges"] = "收集所有信息",
	["Reset"] = "重置",
	["Reset all combat log ranges to their defaults"] = "將記錄範圍重置回默認值",
} end)


L:RegisterTranslations("koKR", function() return {
	["Log Range"] = "로그 범위",
	["Adjusts the range of log messages, affecting what data Assessment is able to capture."] = "Assessment가 캡쳐할 수 있는 데이터에 작용하는 로그 메세지의 범위를 조절합니다.",

--	["Log Range"] = "로그 범위",
	["Creatures"] = "NPC",
	["Adjust log range for creature messages"] = "NPC 메세지에 대한 로그 범위를 조절합니다.",
	["Death"] = "죽음",
	["Adjust log range for death messages"] = "죽음 메세지에 대한 로그 범위를 조절합니다.",
	["Friendly Players"] = "우호적 플레이어",
	["Adjust log range for friendly player messages"] = "우호적 플레이어 메세지에 대한 로그 범위를 조절합니다.",
	["Friendly Player Pets"] = "우호적 플레이어 소환수",
	["Adjust log range for friendly player pet messages"] = "우호적 플레이어 소환수 메세지에 대한 로그 범위를 조절합니다.",
	["Hostile Players"] = "적대적 플레이어",
	["Adjust log range for hostile player messages"] = "적대적 플레이어 메세지에 대한 로그 범위를 조절합니다.",
	["Hostile Player Pets"] = "적대적 플레이어 소환수",
	["Adjust log range for hostile player pet messages"] = "적대적 플레이어 소환수 메세지에 대한 로그 범위를 조절합니다.",
	["Party"] = "파티",
	["Adjust log range for party messages"] = "파티 메세지에 대한 로그 범위를 조절합니다.",
	["Party Pets"] = "파티 소환수",
	["Adjust log range for party pet messages"] = "파티 소환수 메세지에 대한 로그 범위를 조절합니다.",

	["Set All"] = "전체 설정",
	["Set all combat log ranges"] = "모든 전투 로그의 범위를 설정합니다.",
	["Reset"] = "초기화",
	["Reset all combat log ranges to their defaults"] = "모든 전투 로그 범위를 기본값으로 초기화합니다.",
} end)

L:RegisterTranslations("frFR", function() return {
	["Log Range"] = "Distance d'Analyse",
	["Adjusts the range of log messages, affecting what data Assessment is able to capture."] = "Ajuste la distance maximale de capture des \195\169vennements utilis\195\169s pour calculer les statistiques",

	["Creatures"] = "Monstres",
	["Adjust log range for creature messages"] = "Ajuste la distance d'analyse pour les \195\169vennements des monstres",
	["Death"] = "Mort",
	["Adjust log range for death messages"] = "Ajuste la distance d'analyse pour les \195\169vennements de mort",
	["Friendly Players"] = "Joueurs Amis",
	["Adjust log range for friendly player messages"] = "Ajuste la distance d'analyse pour les \195\169vennements des joueurs amis",
	["Friendly Player Pets"] = "Familier Amis",
	["Adjust log range for friendly player pet messages"] = "Ajuste la distance d'analyse pour les \195\169vennements des familiers amis",
	["Hostile Players"] = "Joueurs Hostiles",
	["Adjust log range for hostile player messages"] = "Ajuste la distance d'analyse pour les \195\169vennements des joueurs hostiles",
	["Hostile Player Pets"] = "Familiers Hostiles",
	["Adjust log range for hostile player pet messages"] = "Ajuste la distance d'analyse pour les \195\169vennements des familiers hostiles",
	["Party"] = "Raid",
	["Adjust log range for party messages"] = "Ajuste la distance d'analyse pour les \195\169vennements du groupe ou raid",
	["Party Pets"] = "Familiers du Raid",
	["Adjust log range for party pet messages"] = "Ajuste la distance d'analyse pour les \195\169vennements des familiers du groupe ou raid",

	["Set All"] = "Tous",
	["Set all combat log ranges"] = "Configure toutes les distances d'analyses",
	["Reset"] = "RAZ",
	["Reset all combat log ranges to their defaults"] = "Valeur par d\195\169faut",
} end)

-----------------------------------------------------------------------------

local logRangeCVarList =
{
	"CombatLogRangeCreature",
	"CombatDeathLogRange",
	"CombatLogRangeFriendlyPlayers",
	"CombatLogRangeFriendlyPlayersPets",
	"CombatLogRangeHostilePlayers",
	"CombatLogRangeHostilePlayersPets",
	"CombatLogRangeParty",
	"CombatLogRangePartyPet"
}

Assessment.Options.args.logRange =
{
	type = "group",
	name = L["Log Range"],
	desc = L["Adjusts the range of log messages, affecting what data Assessment is able to capture."],
	order = 100,
	args = 
	{
		creatures =
		{
			type = "range",
			name = L["Creatures"],
			desc = L["Adjust log range for creature messages"],
			min = 5,
			max = 200,
			step = 5,
			get = GetCVar,
			set = SetCVar,
			passValue = "CombatLogRangeCreature"
		},
		death =
		{
			type = "range",
			name = L["Death"],
			desc = L["Adjust log range for death messages"],
			min = 5,
			max = 200,
			step = 5,
			get = GetCVar,
			set = SetCVar,
			passValue = "CombatDeathLogRange"
		},
		friendlyPlayers =
		{
			type = "range",
			name = L["Friendly Players"],
			desc = L["Adjust log range for friendly player messages"],
			min = 5,
			max = 200,
			step = 5,
			get = GetCVar,
			set = SetCVar,
			passValue = "CombatLogRangeFriendlyPlayers"
		},
		friendlyPlayerPets =
		{
			type = "range",
			name = L["Friendly Player Pets"],
			desc = L["Adjust log range for friendly player pet messages"],
			min = 5,
			max = 200,
			step = 5,
			get = GetCVar,
			set = SetCVar,
			passValue = "CombatLogRangeFriendlyPlayersPets"
		},
		hostilePlayers =
		{
			type = "range",
			name = L["Hostile Players"],
			desc = L["Adjust log range for hostile player messages"],
			min = 5,
			max = 200,
			step = 5,
			get = GetCVar,
			set = SetCVar,
			passValue = "CombatLogRangeHostilePlayers"
		},
		hostilePlayerPets =
		{
			type = "range",
			name = L["Hostile Player Pets"],
			desc = L["Adjust log range for hostile player pet messages"],
			min = 5,
			max = 200,
			step = 5,
			get = GetCVar,
			set = SetCVar,
			passValue = "CombatLogRangeHostilePlayersPets"
		},
		party =
		{
			type = "range",
			name = L["Party"],
			desc = L["Adjust log range for party messages"],
			min = 5,
			max = 200,
			step = 5,
			get = GetCVar,
			set = SetCVar,
			passValue = "CombatLogRangeParty"
		},
		partyPets =
		{
			type = "range",
			name = L["Party Pets"],
			desc = L["Adjust log range for party pet messages"],
			min = 5,
			max = 200,
			step = 5,
			get = GetCVar,
			set = SetCVar,
			passValue = "CombatLogRangePartyPet"
		},
		setAll =
		{
			type = "range",
			name = L["Set All"],
			desc = L["Set all combat log ranges"],
			min = 5,
			max = 200,
			step = 5,
			get = GetCVar,
			set = function(passValue, value) 
					if GetCVar(passValue) == value then return end
					for _,k in ipairs(logRangeCVarList) do
						SetCVar(k, value)
					end
				  end,
			passValue = "CombatLogRangeParty",
			order = -2,
		},
		reset =
		{
			type = "execute",
			name = L["Reset"],
			desc = L["Reset all combat log ranges to their defaults"],
			func = function() 
					for _,k in ipairs(logRangeCVarList) do
						SetCVar(k, GetCVarDefault(k))
					end
				  end,
			order = -1,
		}
	}
}

-----------------------------------------------------------------------------
